Release notes
Important: This section lists only features that are currently available in production. For planned enhancements and upcoming changes, see Upcoming releases.
API changes
March 30, 2026
Early Renewals – Subscription renewal ahead of anniversary date
Facilitates the renewal of customer subscriptions before the Anniversary Date (AD). This capability enables customers to renew early while maintaining uninterrupted access to their existing subscription.
New capabilities
-
Early renewal window (AD‑30 to AD-1)
Partners can now place renewal orders up to 30 days before the subscription’s anniversary date. Orders placed within this window are treated as renewal orders and are invoiced immediately. -
Pricing based on date of renewal
Customers can benefit from the old price if they renew before a price change.
-
Three-year commitment (3YC) support
For three-year commitment customers, price continues to be based on the 3YC commitment start date. Early renewals maintain compliance and may help non-compliant customers regain compliant status. Early renewals are not supported if the 3YC customer is in the last term. -
Return policy enhancements
Early renewal orders can be returned within the standard 14-day return window, even if the return occurs before the anniversary date. The anniversary date does not roll back after a return. -
Auto-renew compatibility
- Customers with auto-renewal enabled can still renew early. On the renewal date, any remaining quantities not covered by early renewals are automatically renewed.
- Early renewing customers are not expected to turn off their auto-renewal configuration. Adobe intelligently handles the auto renewals accordingly and subscription states and attributes are updated as part of the standard renewal cycle.
For more information, see:
- Renewals - Overview
- Managing early renewals using APIs
- Managing auto-renewals using APIs
- Error codes specific to early renewals
Sandbox changes
- The Customer records in the Sandbox UI displays early renewal details of subscriptions. For more information, see: View customer details in Sandbox.
March 23, 2026
Pricing and invoicing data available in Get Order APIs
The VIP Marketplace now provides partners with enhanced access to pricing and invoicing information through the GET Order by ID and GET Order History APIs.
These enhancements allow partners to view the same pricing elements that appear in the invoice spreadsheets, which improves transparency and reconciliation accuracy.
New capabilities
-
Pricing is now available in the following APIs when the
fetch-price=truequery parameter is included in the request:- Get Order by ID
- Get Order History
-
Partners can retrieve detailed pricing and invoicing data directly through these API responses, including:
partnerPricediscountedPartnerPricenetPartnerPricelineItemPartnerPricepricingSummary
-
Pricing is returned only for:
- Single‑currency orders
- Orders with completed status (1000)
- Orders placed after the pricing feature was introduced
-
Additional details
- The
proratedDaysfield appears when pricing is fetched for mid‑term purchases. Multi‑currency pricing for previews is not supported.
- The
For more information, see:
Sandbox changes
- The Order and Customer records in the Sandbox UI display pricing information. For more information, see: View order details in Sandbox and View customer details in Sandbox.
March 16, 2026
Flexible Discounts – Introductory offers support
This release enhances the Flexible Discounts capability in VIP Marketplace to support Introductory Offers as a new discount category. The introductory offer is a type of discount that helps partners apply a fixed-price discount to a customer’s first purchase or first-time use of a specific product. Some benefits include:
- Incentivizing early onboarding of new Adobe products
- Transitioning from SKU-based promotions to promotional codes
New capabilities:
-
Category filtering:
The newly introducedcategoriesquery parameter of the Fetch Flexible Discounts endpoint supports filtering by category. Supported values:STANDARD: Regular Flexible Discounts (% off, $ off)INTRO: Introductory Offers
-
New discount type:
Thetypeparameter with valueFIXED_PRICEallows partners to offer a product at a fixed price, regardless of its original price. Example: Adobe Express at $39.99 for new customers. -
Eligibility enhancements:
Flexible Discounts for Introductory Offers can be applied only if the customer has never owned the product previously.
For more information, see:
February 11, 2026
Modified Price List documentation
-
Added a disclaimer in the Price List documentation, stating that using the
includeOfferAttributesparameter in the request, the API will attempt to return the specified attributes for each offer. However, it is not guaranteed that every offer in the response will contain all the requested attributes. The availability of each attribute depends on the underlying data applicability and validity for the specific offer. If an attribute is not relevant or does not have a valid (non-null) value for a given offer, it may be omitted from that offer’s attribute section in the response.For more information, see Manage Price Lists.
January 08, 2026
Flexible Discounts for subscription renewals
Partners can now access details about flexible discounts for a customer and apply them in the subscription’s auto-renewal settings while creating or updating the subscription.
New capabilities:
- Preview Renewal with flexible discount code
- Manual preview renewal with flexible discount code
- Create a scheduled Subscription with flexible discount
- Update Subscription with a flexible discount code
- Remove flexible discount from a subscription
Other API documentation changes:
- Updated Create Subscription and Update Subscription endpoint documentation to include the newly introduced
flexDiscountCodesparameter in request and response. - Updated Subscription (top-level resource) section to include the
flexDiscountCodesparameter.
Sandbox changes:
- In Manage Records > Customers, you can now view the subscription details, including any flexible discounts that have been applied.
- For more information, see Manage Flexible Discounts.
January 06, 2026
The Fetch Price List API now supports price lists for Large Government Agencies (LGA)
To retrieve LGA price lists, use the priceListType request parameter with the value STD-LGA, which specifies that the Price List is intended for LGA customers. Read more about Fetch Price List API.
December 11, 2025
Mid-term upgrades
Partners can upgrade customer subscriptions during the active term, without waiting for the renewal date.
New capabilities
-
Upgrade path discovery Partners can retrieve valid upgrade paths using the new GET Offer Switch Paths API, filtered by market segment, country, and language.
-
Preview switch order A new
orderTypevalue,PREVIEW_SWITCH, has been added to the Create Order API. This allows partners to generate upgrade quotes before placing a switch order. -
Switch order execution Partners can place upgrade orders using the
SWITCHorder type, specifying both the "From" and "To" product details. The API supports automatic user reassignment via thereassign-users=truequery parameter. -
Upgrade reversion Partners can revert a switch order within 14 days using the new
REVERT_SWITCHandPREVIEW_REVERT_SWITCHorder types. This restores the original subscription and de-provisions the upgraded product. -
Partial and full upgrades The system supports both full and partial upgrades, including seat expansions and product transitions (example: Acrobat Standard to Acrobat Pro).
-
Several new error codes have been introduced to provide clear feedback for mid-term upgrade scenarios, including:
- 2149: Quantity mismatch
- 2150: Switch path validity check failed
- 2151: Quantity exceeded
- 2152: Multiple line items not supported
- 2153: Line item and cancelling line item mismatch
- 2154: Upgrade not supported
- 3115: Invalid subscription
Read more about Mid-term upgrades.
November 11, 2025
Change to reseller change approval code validity
- The reseller approval code is now valid for 7 days, an increase from the previous 72 hours. This code is emailed to all customer administrators, who then share it with the new reseller to authorize the transfer. Read more about Reseller change process.
Display source of the Order in Create Order and Get Order API responses
- Added the
sourceparameter in the responses of Create Order and Get Order APIs to indicate the origin of the order. Possible values are:APIorSystem.
Changes to Get Customer List and Get Reseller List APIs
- Added the
companyProfile.companyNameparameter to Get Customer List and Get Reseller List API responses to display the customer name and reseller name, respectively.
Display deploymentID and currencyCode in Reseller Transfer API responses
- Added
deploymentIdandcurrencyCodeparameters to the responses of Preview Reseller Transfer, Commit Transfer, and Get Reseller Transfer APIs.
Base part number in the GET Open Acquisitions API response
-
Introduced the
baseOfferIdparameter in the response payload of the GET Open Acquisitions (aka GET Licenses Pending Partner Order) API. This parameter in the API response allows partners to match the correct part number using product name details from notification emails and proceed with order placement.Read more about Get licenses pending partner order API.
August 22, 2025
Preview with pricing
-
Partners can now retrieve the pricing details in the Preview Order and Preview Renewal APIs by setting the
fetch-pricequery parameter totruein the request URL. This returns real-time partner pricing details for Adobe products, helping partners and resellers better estimate how much Adobe will invoice for an order.- Introduced
pricingobject in thelineItemlevel of the Preview Order and Preview Renewal API responses. - Added
pricingSummaryobject to provide summarized pricing details of all line items. - Introduced new
fetch-pricequery parameter for both Preview Order and Preview Renewal scenarios. - Introduced new
proratedDaysparameter in the response of Preview Order and Preview Renewal APIs to indicate the number of days for which the order will be invoiced. This parameter appears only when thefetch-priceparameter is set totruein the request. - A new error code (2148) has been introduced for the
Preview OrderandPreview RenewalAPIs to handle pricing requests involving multiple currencies.
Read more about preview with pricing.
- Introduced
Get Customer List and Get Reseller List APIs
- The Get Reseller List API enables partners to retrieve a list of resellers linked to a distributor.
- The API supports filtering by reseller status and sorting by creation date or reseller name. <br />Read more about Get Reseller List API.
- The Get Customer List API enables partners to retrieve customer accounts associated with a specific reseller.
- This API is essential for partners who manage customer portfolios and require precise, real-time access to customer data for quoting, reporting, and renewal planning. <br />Read more about Get Customer List API.
June 19, 2025
Fetch Price List
- Partners can leverage the
Fetch Price ListAPI to retrieve up-to-date pricing information for Adobe products. This API modernizes Adobe’s price list distribution process. Read more about how to access price lists using Fetch Price List API.- Introduced new error codes specific to the Price List API.
May 09, 2025
Manage Flexible Discounts
-
Partners can access flexible discounts tailored to specific products, market segments, and countries, and apply them during the order process. Read more about how to manage flexible discounts. <br />The major API changes include:
- Introduced the
GET /v3/flex-discountsAPI to get the list of available flexible discounts. - Preview Order API returns the applicable flexible discounts for the customer.
- Partners can place the order by applying the flexible discount code received.
- Introduced new error codes specific to Flexible Discounts.
- Introduced the
Fetch Recommendations
-
Recommendations API enables VIP Marketplace partners to deliver intelligent, personalized, and in-context product recommendations, enhancing customer experience through upsell, cross-sell, and add-on opportunities. Read more about how to manage recommendations. <br /> Major API changes include:
- Partners can use
POST /v3/recommendationsAPI to fetch the relevant product recommendations. - Both Preview Order and Preview Renewal APIs fetch the applicable recommendations.
- Both Get Subscriptions and Get Order APIs can fetch recommendations.
- Introduced new error codes specific to recommendations.
- Partners can use
January 23, 2025
Migrate High Volume Discount (HVD) customers from VIP
- High Volume Discount (HVD) customers in VIP can now migrate to VIP Marketplace. See Migrate High Volume Discount customers from VIP to VIP Marketplace for more details.
Manage High Growth Offers
- Introduced High Growth Offers for existing Acrobat Pro customers. These offers will replace the current High Volume Discounting program that exists in VIP. See Manage High Growth Offers for more details.
Earlier releases from 2024
-
Included customer's VIP renewal status within migration preview API response. See Preview Offer for more details.
-
Ability to place renewal orders after anniversary date
Added allowedActions field in the Get All Subscriptions for a Customer API to indicate the subscriptions that can be selected for manual renewals. See Get Subscription Details for more information.
-
The newly introduced
RENEWALorder type in the Create Order API is used for renewals that are initiated after the anniversary date. See Create Order Scenarios for more details. -
Enabling Global customers for Create Subscription.
Global customers can now use Create Subscription API to create scheduled subscriptions. See Create Subscriptions for more details.
-
Create and manage linked memberships
Adding support for creating and managing linked memberships that facilitates combining purchases across linked customer accounts to achieve better volume discounts. See Manage linked memberships for more information.
-
“Late renewals” or “Renewal” Order Type
Introducing a new Order Type for partners to place “late renewal” after anniversary date. See Create Order for more information.
-
Create orders
Implemented a validation to prevent partners from placing new orders before the subscription’s anniversary date. If a partner attempts to place an order before this date, an error message will appear as the response.
-
Worldwide offers:
- Added ability to enable a customer for worldwide (global) sales
- Added ability to create “Deployments” for a customer to purchase worldwide offers
- Added an optional currencyCode to the order lineItem level to support global deployments
- Added deploymentId to order lineItem (read/write)
- Added deploymentId and currencyCode to subscription resource (read only)
- Added deploymentId and currencyCode to transfer resource (read only)
-
Included 3yc info in preview migration and preview/execution of reseller change API calls.
-
Create Subscription:
- Added ability to create future dated subscription that would become active on next anniversary date. See Create Subscription for more information.
-
Added a new API to fetch all customers (under a given reseller) who have added seats via Adobe’s Admin console.
-
Added a new API to fetch all seats/licenses added by a given customer via admin console.
-
These APIs will inform our partners to place corresponding orders backing the seats added by the customers via admin console.
-
Added new Error Code for Preview / Create Transfer response. See Status Codes & Error Handling for more information.
-
Added self-service capability for a customer and partner to move between resellers/partners. See Reseller Change Process for more information.
Sandbox changes
January 08, 2026
Changes to support on-demand flexible discount release:
- In Manage Records > Customers, you can now view the subscription details, including any flexible discounts that have been applied.
- For more information, see Manage Flexible Discounts.